Skip to content

Resources

All operations require authentication.

9 operationsv1/email/exchange
Agent setup

List resource accountsProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount

List resource accounts. Returns the email addresses of the room and equipment resource accounts. Filter them by resourceEmailAddress or company.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Query parameters

company
string

Filter the value of company property (like)

resourceEmailAddress
string

Filter the value of resourceEmailAddress property (like)

Response

200string[]successful operation

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a resource accountProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}

Get a resource account. Returns the type, capacity, location, booking settings and state of the room or equipment resource account.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Response

200resourceAccountsuccessful operation
addOrganizerToSubject
boolean

meeting organizer's name is used as the subject of the meeting request

allowConflict
boolean

resource can be scheduled by more than one person during the same time period

bookingWindow
integer

maximum number of days in advance that the resource can be reserved

capacity
integer

number of the same equipment or capacity of a room

company
string

Company name

creationDate
read-only
stringdate-time

Creation date

deleteComments
boolean

remove any text in the message body of incoming meeting requests on resourceAccount

deleteSubject
boolean

remove email subject of incoming meeting requests on resourceAccount

displayName
string

name of resource

location
string

resource location name

maximumDuration
integer

maximum duration in minutes for meeting requests

resourceEmailAddress
string

resource as email

showMeetingDetails
ShowMeetingDetailsEnum

granted right on a calendar of that resourceAccount

ValuesavailabilityOnlylimitedDetailsreviewer
state
read-only
ObjectStateEnum

account state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

type
read-only
ResourceTypeEnum

resource type

Valuesequipmentroom

Example uses exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "addOrganizerToSubject": true, "allowConflict": true, "bookingWindow": 0, "capacity": 0, "company": "string", "creationDate": "2024-01-01T12:00:00Z", "deleteComments": true, "deleteSubject": true, "displayName": "string", "location": "string", "maximumDuration": 0, "resourceEmailAddress": "string", "showMeetingDetails": "availabilityOnly", "state": "creating", "taskPendingId": 0, "type": "equipment"}

Create a resource accountProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount

Create a resource account. Creates a room or equipment resource account from its resourceEmailAddress and capacity, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

Request body (required)

addOrganizerToSubject
boolean

meeting organizer's name is used as the subject of the meeting request

allowConflict
boolean

resource can be scheduled by more than one person during the same time period

bookingWindow
integer

maximum number of days in advance that the resource can be reserved

capacity
required
integer

number of the same equipment or capacity of a room

company
string

Company name

deleteComments
boolean

remove any text in the message body of incoming meeting requests on resourceAccount

deleteSubject
boolean

remove email subject of incoming meeting requests on resourceAccount

displayName
string

resource account display name

location
string

resource location

maximumDuration
integer

maximum duration in minutes for meeting requests

resourceEmailAddress
required
string

resource address

showMeetingDetails
ShowMeetingDetailsEnum

granted right on a calendar of that resourceAccount

ValuesavailabilityOnlylimitedDetailsreviewer
type
required
ResourceTypeEnum

type of your reservation

Valuesequipmentroom

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Delete a resource accountProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}

Delete a resource account. Deletes the resource account (room or equipment) and its delegates, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Update a resource accountProduction

PUT
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}

Update a resource account. Updates the display name, capacity, location and booking settings of the resource account, such as allowConflict, bookingWindow or maximumDuration.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Request body (required)

addOrganizerToSubject
boolean

meeting organizer's name is used as the subject of the meeting request

allowConflict
boolean

resource can be scheduled by more than one person during the same time period

bookingWindow
integer

maximum number of days in advance that the resource can be reserved

capacity
integer

number of the same equipment or capacity of a room

company
string

Company name

creationDate
read-only
stringdate-time

Creation date

deleteComments
boolean

remove any text in the message body of incoming meeting requests on resourceAccount

deleteSubject
boolean

remove email subject of incoming meeting requests on resourceAccount

displayName
string

name of resource

location
string

resource location name

maximumDuration
integer

maximum duration in minutes for meeting requests

resourceEmailAddress
string

resource as email

showMeetingDetails
ShowMeetingDetailsEnum

granted right on a calendar of that resourceAccount

ValuesavailabilityOnlylimitedDetailsreviewer
state
read-only
ObjectStateEnum

account state

ValuescreatingdeletinginternalMigrationokreopeningsuspendedsuspending
taskPendingId
read-only
integer

task pending id

type
read-only
ResourceTypeEnum

resource type

Valuesequipmentroom

Response

200—successful operation

Example uses exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress} \
  -H "authorization: Bearer $OVH_TOKEN"

List resource account delegatesProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate

List resource account delegates. Returns the IDs of the accounts that are delegates of the resource account.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Response

200integer[]successful operation

Example uses exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a resource account delegateProduction

GET
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate/{allowedAccountId}

Get a resource account delegate. Returns the ID and the email address of the account that manages the bookings of the resource.

Path parameters

allowedAccountId
required
integer

delegate's account id

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Response

200exchangeResourceAccountDelegatesuccessful operation
allowedAccountId
read-only
integer

delegate's account id

creationDate
read-only
stringdate-time

Creation date

delegateEmailAddress
read-only
string

Delegate account primaryEmailAddress

taskPendingId
read-only
integer

task pending id

Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedAccountId": 0, "creationDate": "2024-01-01T12:00:00Z", "delegateEmailAddress": "string", "taskPendingId": 0}

Add a resource account delegateProduction

POST
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate

Add a resource account delegate. Adds the account given by allowedAccountId as a delegate of the resource account, and returns the task.

Path parameters

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Request body (required)

allowedAccountId
required
integer

delegate's account id

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}

Remove a resource account delegateProduction

DELETE
/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate/{allowedAccountId}

Remove a resource account delegate. Withdraws from the email account the management of the bookings of the resource, and returns the task.

Path parameters

allowedAccountId
required
integer

delegate's account id

exchangeService
required
string

The internal name of your exchange service

organizationName
required
string

The internal name of your exchange organization

resourceEmailAddress
required
string

resource as email

Response

200Tasksuccessful operation
finishDate
read-only
stringdate-time

Completion date

function
read-only
TaskFunctionEnum

Function name

ValuesactivateSharepointaddAccountaddAccountArchiveaddAccountImpersonationaddActiveSyncMailNotificationaddAliasaddDistributionGroupaddDistributionGroupManageraddDistributionGroupMemberaddDistributionGroupSendAsaddDistributionGroupSendOnBehalfToaddDomainaddDomainDisclaimeraddExchangeCustomIsolationaddExchangeDomainDKIMaddExchangeRemoteMailboxaddExchangeServiceAuthorizedIpaddExportPstRequestaddExternalContactaddFullAccessaddOutlookLicenseaddPublicFolderaddPublicFolderPermissionaddResourceAccountaddResourceDelegateaddSendAsaddSendConnectoraddSendOnBehalfToaddSharedAccountaddSharedAccountFullAccessaddSharedAccountSendAsaddSharedAccountSendOnBehalfTochangeHostnamechangePasswordclearDataOnDevicecloneTemplateExchangePrivateconfigureExchangeCustomerconfigureExchangeOwaMfacopyMailboxcreateExternalAntiSpamReceiveConnectordeleteAccountdeleteAccountArchivedeleteAccountImpersonationdeleteActiveSyncMailNotificationdeleteAliasdeleteDistributionGroupdeleteDistributionGroupManagerdeleteDistributionGroupMemberdeleteDistributionGroupSendAsdeleteDistributionGroupSendOnBehalfTodeleteDomaindeleteDomainDisclaimerdeleteExchangeCustomIsolationdeleteExchangeDomainDKIMdeleteExchangeRemoteMailboxdeleteExchangeServicedeleteExchangeServiceAuthorizedIpdeleteExportPstRequestdeleteExternalAntiSpamReceiveConnectordeleteExternalContactdeleteFullAccessdeleteOutlookLicensedeletePublicFolderdeletePublicFolderPermissiondeleteResourceAccountdeleteResourceDelegatedeleteSendAsdeleteSendConnectordeleteSendOnBehalfTodeleteSharedAccountdeleteSharedAccountFullAccessdeleteSharedAccountSendAsdeleteSharedAccountSendOnBehalfTodestroyPrivateVmdiagnoseAccountdisableExchangeDKIMenableExchangeDKIMexpandDrivegenerateOutlookUrlgeneratePstUrlinstallExchangeinstallSSLmaintenancemigrationAccountmigrationDisclaimermigrationExternalContactmigrationHistorymigrationMailingListmigrationResourceAccountmigrationServicereOpenHostedAccountreOpenOutlookLicensereOpenPrivateAccountreOpenPrivateVmsetAccountsetAccountArchivesetAliassetDistributionGroupsetDnssetDomainsetDomainDisclaimersetExchangeAccountProtocolsetExchangeRemoteMailboxsetExchangeServiceDevicesetExternalAntiSpamReceiveConnectorsetExternalContactsetPublicFoldersetPublicFolderPermissionsetResourceAccountsetSendConnectorsetServicesetSharedAccountsuspendAccountsuspendExchangeServicesuspendHostedAccountsuspendOutlookLicensesuspendPrivateAccountsuspendPrivateVmunsuspendAccountunsuspendExchangeServiceunsuspendHostedAccountupdateExchangeServiceDeviceupgrade2016
id
read-only
integer

Task id

status
read-only
TaskStatusEnum

Task status

Valuescancelleddoingdoneerrortodo
todoDate
read-only
stringdate-time

Creation date

Example uses allowedAccountId = 0, exchangeService = string, organizationName = string, resourceEmailAddress = string

$ curl https://api.eu.ovhcloud.com/1.0/email/exchange/{organizationName}/service/{exchangeService}/resourceAccount/{resourceEmailAddress}/delegate/{allowedAccountId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "finishDate": "2024-01-01T12:00:00Z", "function": "activateSharepoint", "id": 0, "status": "cancelled", "todoDate": "2024-01-01T12:00:00Z"}